Obtener todos los agentes de la empresa con paginación
GET
/ai-agents
const url = 'https://api.matiasimpulso.com/ai-agents?searchParam=ventas&page=1&limit=25&skip=0&sort=name&dir=asc&isEnabled=true&zone=sales&showInChat=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.matiasimpulso.com/ai-agents?searchParam=ventas&page=1&limit=25&skip=0&sort=name&dir=asc&isEnabled=true&zone=sales&showInChat=true' \ --header 'Authorization: Bearer <token>'Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Query Parameters
Sección titulada « Query Parameters » searchParam
string
Example
ventasSearch parameter for filtering agents by name, description, or zone
page
number
Example
1Page number for pagination
limit
number
Example
25Number of items per page
skip
number
Example
0Number of items to skip
sort
string
Example
nameField to sort by
dir
string
Example
ascSort direction
isEnabled
boolean
Example
trueFilter by enabled status
zone
string
Example
salesFilter by zone
showInChat
boolean
Example
trueFilter by show in chat status
Responses
Sección titulada « Responses »Lista paginada de agentes
Media type application/json
Array<object>
object
id
required
number
name
required
string
slug
required
string
zone
required
string
isEnabled
required
boolean
totalConversations
required
number
totalMessages
required
number
createdAt
required
string format: date-time
Example generated
[ { "id": 1, "name": "example", "slug": "example", "zone": "example", "isEnabled": true, "totalConversations": 1, "totalMessages": 1, "createdAt": "2026-04-15T12:00:00Z" }]